Enroll Payment Method — Direct
POST
/
v1
/
customers
/
{customer_id}
/
payment-methods
Enroll Payment Method — Direct API
curl --request POST \
--url https://api-sandbox.y.uno/v1/customers/{customer_id}/payment-methods \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "YOUR_ACCOUNT_ID",
"country": "US",
"type": "CARD",
"workflow": "DIRECT",
"callback_url": "https://example.com/enrollment/callback",
"verify": {
"vault_on_success": true,
"currency": "USD"
}
}
'import requests
url = "https://api-sandbox.y.uno/v1/customers/{customer_id}/payment-methods"
payload = {
"account_id": "YOUR_ACCOUNT_ID",
"country": "US",
"type": "CARD",
"workflow": "DIRECT",
"callback_url": "https://example.com/enrollment/callback",
"verify": {
"vault_on_success": True,
"currency": "USD"
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
account_id: 'YOUR_ACCOUNT_ID',
country: 'US',
type: 'CARD',
workflow: 'DIRECT',
callback_url: 'https://example.com/enrollment/callback',
verify: {vault_on_success: true, currency: 'USD'}
})
};
fetch('https://api-sandbox.y.uno/v1/customers/{customer_id}/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "VISA ****1111",
"type": "<string>",
"category": "<string>",
"vaulted_token": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "ENROLLED",
"card_data": {
"iin": "<string>",
"lfd": "<string>",
"brand": "<string>",
"issuer": "<string>",
"fingerprint": "<string>"
}
}Path Parameters
Body
application/json
ISO 3166-1 alpha-2 country code
Available options:
AR, BO, BR, CL, CO, CR, EC, SV, GT, HN, MX, NI, PA, PY, PE, US, UY Available options:
CARD, NU_PAY_ENROLLMENT Available options:
DIRECT Show child attributes
Show child attributes
Was this page helpful?
⌘I
Enroll Payment Method — Direct API
